[![Build Status](https://travis-ci.org/nolimits4web/swiper.svg?branch=master)](https://travis-ci.org/nolimits4web/swiper)
[![jsDelivr Hits](https://data.jsdelivr.com/v1/package/npm/swiper/badge?style=rounded)](https://www.jsdelivr.com/package/npm/swiper)

# Swiper

Swiper - is the free and most modern mobile touch slider with hardware accelerated transitions and amazing native behavior. It is intended to be used in mobile websites, mobile web apps, and mobile native/hybrid apps.

Swiper is not compatible with all platforms, it is a modern touch slider which is focused only on modern apps/platforms to bring the best experience and simplicity.

# Getting Started

- [Getting Started Guide](https://swiperjs.com/get-started/)
- [API](https://swiperjs.com/api/)
- [Demos](https://swiperjs.com/demos/)

# Dist / Build

On production use files (JS and CSS) only from `package/` folder, there will be the most stable versions, `build/` folder is only for development purpose.

### Development Build

Swiper uses `gulp` to build a development (build) and production (dist) versions.

First you need to have `gulp-cli` which you should install globally.

```
$ npm install --global gulp
```

Then install all dependencies, in repo's root:

```
$ npm install
```

And build development version of Swiper:

```
$ npm run build:dev
```

The result is available in `build/` folder.

### Production Build

```
$ npm run build:prod
```

Production version will available in `package/` folder.

# Contributing

All changes should be committed to `src/` files only. Before you open an issue please review the [contributing](https://github.com/nolimits4web/swiper/blob/master/CONTRIBUTING.md) guideline.

# Swiper 5.x

If you are still using Swiper 5.x.x, you may find it in [Swiper5 Branch](https://github.com/nolimits4web/swiper/tree/Swiper5)

- [Download Latest Swiper 5.4.5](https://github.com/nolimits4web/swiper/archive/v5.4.5.zip)
- [Source Files](https://github.com/nolimits4web/swiper/tree/Swiper5/src)
- [API](https://github.com/nolimits4web/swiper/blob/Swiper5/API.md)

# Swiper 4.x

If you are still using Swiper 4.x.x, you may find it in [Swiper4 Branch](https://github.com/nolimits4web/swiper/tree/Swiper4)

- [Download Latest Swiper 4.5.3](https://github.com/nolimits4web/swiper/archive/v4.5.3.zip)
- [Source Files](https://github.com/nolimits4web/swiper/tree/Swiper4/src)
- [API](https://github.com/nolimits4web/swiper/blob/Swiper4/API.md)

# Swiper 3.x

If you are still using Swiper 3.x.x, you may find it in [Swiper3 Branch](https://github.com/nolimits4web/swiper/tree/Swiper3)

- [Download Latest Swiper 3.4.2](https://github.com/nolimits4web/swiper/archive/v3.4.2.zip)
- [Source Files](https://github.com/nolimits4web/swiper/tree/Swiper3/src)
- [API](https://github.com/nolimits4web/swiper/blob/Swiper3/API.md)

# Swiper 2.x

If you are still using Swiper 2.x.x or you need old browsers support, you may find it in [Swiper2 Branch](https://github.com/nolimits4web/swiper/tree/Swiper2)

- [Download Latest Swiper 2.7.6](https://github.com/nolimits4web/swiper/archive/v2.7.6.zip)
- [Source Files](https://github.com/nolimits4web/swiper/tree/Swiper2/src)
- [API](https://github.com/nolimits4web/swiper/blob/Swiper2/API.md)
